#include <qwidget.h>

/*

	this dummy main widget is never shown, it provides:
	
		application main widget, rest of gfwindows are modeless.
		
		communication between all the widgets, multiplexes the
		edit changed signals.
		
		method to get the geometry set on the command line (X11)
		
*/


class GfMainWidget : public QWidget
{
    Q_OBJECT

public:

    GfMainWidget
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~GfMainWidget();
    
signals:

	void editChanged();
	
public slots:

	void changedEdit();
	
};
